osl::move_generator::GenerateEscapeOfTurn Struct Reference

`#include <escape_.h>`

## Static Public Member Functions

template<class Action>
static void | generate (const NumEffectState &state, Piece piece, Action &a)

## Detailed Description

Definition at line 142 of file escape_.h.

## Member Function Documentation

## generate()

template<class Action>

void osl::move_generator::GenerateEscapeOfTurn::generate | ( | const NumEffectState & | state,
|  | Piece | piece,
|  | Action & | a )

inline static

Definition at line 145 of file escape_.h.

References osl::BLACK, generate(), and osl::SimpleState::turn().

Referenced by osl::GenerateEscapeKing::generate(), and generate().

The documentation for this struct was generated from the following file:

- escape_.h